/**
*
* Angular Modal Library v1.0.7
* @author TMJ Web Development Team. 2016
*
* Created a default approach modal using modal bootstrap
* @copyright TMJ Philippines BPO Services Inc.
*/

(function() {
    'use strict';

    var MODAL_CONFIG = require('./constants/modal.constant');
    var BOOTSTRAP_CONFIG = require('./constants/ui-bootstrap.constant');
    var MODAL_INSTANCE_CONFIG = require('./constants/modal-instance.constant');
    var TMJFormData = require('./services/form-data.service');
    var Modal = require('./services/modal.service')
    var DefaultModalInstanceCtrl = require('./controllers/default-modal-instance.controller');

    angular.module('tmjModal', ['ui.bootstrap'])
        .constant('MODAL_CONFIG', MODAL_CONFIG)
        .constant('BOOTSTRAP_CONFIG', BOOTSTRAP_CONFIG)
        .constant('MODAL_INSTANCE_CONFIG', MODAL_INSTANCE_CONFIG)
        .service('TMJFormData', TMJFormData)
        .service('Modal', Modal)
        .controller('DefaultModalInstanceCtrl', DefaultModalInstanceCtrl);
})();
