/**
 * Converting data to Form Data
 * @author TMJP Engineering
 * @copyright TMJ Philippines BPO Services Inc. 2016
 */

'use strict';

TMJFormData.$inject = [];

/* @ngInject */
function TMJFormData() {

    this.build = build;

    function build(data, formData, otherKey) {
        if (!data)
            return;

        var fd = formData || new FormData();

        for (var key in data)
        {
            // use to prevent prototypes to be included in loop (eg. obj.length)
            if (!data.hasOwnProperty(key))
                continue;

            // if other key exist means multi array
            var field = (!otherKey) ? key : otherKey + '[' + key + ']';

            // if object and instance is not file dig deeper
            if (typeof data[key] == 'object' && !(data[key] instanceof File || data[key] instanceof Blob)) // array or object
            {
                //recursion call itself change the data
                this.build(data[key], fd, field);
                continue;
            }

            fd.append(field, data[key]);
        }

        return fd;
    }
}

module.exports = TMJFormData;
